Bug 1394334 - [RFE] Improve NetworkManager error handling
Summary: [RFE] Improve NetworkManager error handling
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Lubomir Rintel
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 1393481
TreeView+ depends on / blocked
 
Reported: 2016-11-11 18:06 UTC by Lubomir Rintel
Modified: 2017-08-01 09:19 UTC (History)
10 users (show)

Fixed In Version: NetworkManager-1.8.0-0.4.rc1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 09:19:37 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2299 normal SHIPPED_LIVE Moderate: NetworkManager and libnl3 security, bug fix and enhancement update 2017-08-01 12:40:28 UTC

Description Lubomir Rintel 2016-11-11 18:06:53 UTC
Whenever connecting fails we are not too good at communicating the reason; whether DHCP timed out, not able to configure LL address, bad VPN password, etc.

Let's see what can be done about this.

Comment 1 Lubomir Rintel 2017-03-28 14:02:41 UTC
Went in upstream: https://bugzilla.gnome.org/show_bug.cgi?id=779627

Comment 4 Lubomir Rintel 2017-05-26 13:47:15 UTC
[root@belphegor NetworkManager]# nmcli c add type wifi ssid trolofon ifname '*' con-name lala
Connection 'lala' (ddee22a6-0e20-4f0a-9bd2-735de094ad62) successfully added.
[root@belphegor NetworkManager]# nmcli c up lala
Error: Connection activation failed: The Wi-Fi network could not be found
[root@belphegor NetworkManager]# 

You would get a "Error: Connection activation failed." before.

Comment 5 Vladimir Benes 2017-06-29 13:23:40 UTC
All errors do show as before and some of them are even better.

Comment 6 errata-xmlrpc 2017-08-01 09:19:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2299


Note You need to log in before you can comment on or make changes to this bug.